Gecode::Int::Cumulative::OmegaLambdaNode Class Reference

Node for an omega lambda tree. More...

`#include <cumulative.hh>`

## Public Member Functions

void | init (const OmegaLambdaNode &l, const OmegaLambdaNode &r)
| Initialize node from left child l and right child r.
void | update (const OmegaLambdaNode &l, const OmegaLambdaNode &r)
| Update node from left child l and right child r.
Public Member Functions inherited from Gecode::Int::Cumulative::OmegaNode
void | init (const OmegaNode &l, const OmegaNode &r)
| Initialize node from left child l and right child r.
void | update (const OmegaNode &l, const OmegaNode &r)
| Update node from left child l and right child r.

## Public Attributes

long long int | le
| Energy for subtree.
long long int | lenv
| Energy envelope for subtree.
int | resLe
| Node which is responsible for le.
int | resLenv
| Node which is responsible for lenv.
Public Attributes inherited from Gecode::Int::Cumulative::OmegaNode
long long int | e
| Energy for subtree.
long long int | env
| Energy envelope for subtree.

## Static Public Attributes

static const int | undef = -1
| Undefined task.

## Detailed Description

Node for an omega lambda tree.

Definition at line 625 of file cumulative.hh.

## Member Function Documentation

## init()

void Gecode::Int::Cumulative::OmegaLambdaNode::init | ( | const OmegaLambdaNode & | l,
|  | const OmegaLambdaNode & | r )

inline

Initialize node from left child l and right child r.

Definition at line 174 of file tree.hpp.

## update()

void Gecode::Int::Cumulative::OmegaLambdaNode::update | ( | const OmegaLambdaNode & | l,
|  | const OmegaLambdaNode & | r )

inline

Update node from left child l and right child r.

Definition at line 181 of file tree.hpp.

## Member Data Documentation

## undef

const int Gecode::Int::Cumulative::OmegaLambdaNode::undef = -1

static

Undefined task.

Definition at line 628 of file cumulative.hh.

## le

long long int Gecode::Int::Cumulative::OmegaLambdaNode::le

Energy for subtree.

Definition at line 630 of file cumulative.hh.

## lenv

long long int Gecode::Int::Cumulative::OmegaLambdaNode::lenv

Energy envelope for subtree.

Definition at line 632 of file cumulative.hh.

## resLe

int Gecode::Int::Cumulative::OmegaLambdaNode::resLe

Node which is responsible for le.

Definition at line 634 of file cumulative.hh.

## resLenv

int Gecode::Int::Cumulative::OmegaLambdaNode::resLenv

Node which is responsible for lenv.

Definition at line 636 of file cumulative.hh.

The documentation for this class was generated from the following files:

- gecode/int/cumulative.hh
- gecode/int/cumulative/tree.hpp